Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui.composites
Class CheckedEStructuralFeatureCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TableViewer>
          org.eclipse.emf.ecp.spi.common.ui.composites.SelectModelElementCompositeImpl
              org.eclipse.emf.ecp.spi.common.ui.composites.CheckedEStructuralFeatureCompositeImpl

All Implemented Interfaces:
  CompositeProvider, CheckedEStructuralFeatureComposite, SelectionComposite<org.eclipse.jface.viewers.TableViewer>

    public class CheckedEStructuralFeatureCompositeImpl

extends SelectModelElementCompositeImpl
implements CheckedEStructuralFeatureComposite

This class provides a list with `EStructuralFeature`s that can be selected with a checkbox.

Author:
  jfaltermeier

Constructor Summary
`CheckedEStructuralFeatureCompositeImpl(Object input)` Constructor.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createUI(org.eclipse.swt.widgets.Composite parent)` This method creates a UI bundled into a `Composite` that can be used anywhere.
`Object[]` | `getSelection()` Returns the selected objects.
`org.eclipse.jface.viewers.CheckboxTableViewer` | `getViewer()` Returns the used `StructuredViewer`.

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.SelectModelElementCompositeImpl
`dispose`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CompositeProvider
`dispose`

Constructor Detail

### CheckedEStructuralFeatureCompositeImpl

    public CheckedEStructuralFeatureCompositeImpl(Object input)

  Constructor.

  Parameters:
    `input` - the input for the viewer

Method Detail

### createUI

    public org.eclipse.swt.widgets.Composite createUI(org.eclipse.swt.widgets.Composite parent)

  This method creates a UI bundled into a `Composite` that can be used anywhere..

  Specified by:
    `createUI` in interface `CompositeProvider`
  Overrides:
    `createUI` in class `AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TableViewer>`
  Parameters:
    `parent` - the parent `Composite`
  Returns:
    the created `Composite`
  See Also:
    `AbstractFilteredSelectionComposite.createUI(org.eclipse.swt.widgets.Composite)`

### getViewer

    public org.eclipse.jface.viewers.CheckboxTableViewer getViewer()

  Returns the used `StructuredViewer`.

  Specified by:
    `getViewer` in interface `CheckedEStructuralFeatureComposite`
  Specified by:
    `getViewer` in interface `SelectionComposite<org.eclipse.jface.viewers.TableViewer>`
  Overrides:
    `getViewer` in class `AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TableViewer>`
  Returns:
    the viewer
  See Also:
    `AbstractFilteredSelectionComposite.getViewer()`

### getSelection

    public Object[] getSelection()

  Returns the selected objects.

  Specified by:
    `getSelection` in interface `CheckedEStructuralFeatureComposite`
  Specified by:
    `getSelection` in interface `SelectionComposite<org.eclipse.jface.viewers.TableViewer>`
  Overrides:
    `getSelection` in class `AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TableViewer>`
  Returns:
    the selection
  See Also:
    `AbstractFilteredSelectionComposite.getSelection()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.